# Bootstrap React Logic

Bootstrap React Logic (BRL) is a logic operation library designed specifically for [React](https://react.dev) applications. It seamlessly integrates with [Bootstrap](https://getbootstrap.com) styles, helping developers easily build rich, interactive user interfaces.

BRL offers a series of powerful and flexible logic components, simplifying state management and event handling, making it more efficient to create dynamic, responsive UIs. Whether it's complex form handling, data presentation, or user interactions, BRL provides a smooth experience, empowering
developers to quickly implement creative designs and improve development efficiency.

[简体中文](./README.zh.md)

## Installation

Tip: Before installation, please ensure that the **bootstrap** dependency is already in place.

Install BRL using npm:

```bash
npm install bootstrap-react-logic
```

## Usage

Import global styles: `import 'bootstrap-react-logic/dist-lib/bootstrap-react-logic.css'`

Import the component: `import { Button } from 'bootstrap-react-logic'`

Basic usage:

```jsx
<Button variant="primary">Primary</Button>
```

## FAQ

Q: How is this different from other third-party libraries?

- It is encapsulated into components, which enhances reusability and development efficiency.
- Compared to other third-party libraries, BRL is developed based on specific project needs, so it may not suit every user's requirements.
- It builds on top of Bootstrap and provides more commonly used components.

## License

[MIT](https://opensource.org/licenses/MIT)
