import { ElementType } from 'react';
import { NavbarProps } from './types.ts';
declare const Navbar: {
    <T extends ElementType = "nav">(props: NavbarProps<T>): import("react/jsx-runtime").JSX.Element;
    Text: {
        <T extends ElementType = "span">(props: import('./types.ts').NavbarTextProps<T>): import("react/jsx-runtime").JSX.Element;
        displayName: string;
    };
    Brand: {
        <T extends ElementType = "a">(props: import('./types.ts').NavbarBrandProps<T>): import("react/jsx-runtime").JSX.Element;
        displayName: string;
    };
    Toggler: {
        <T extends ElementType = "button">(props: import('./types.ts').NavbarTogglerProps<T>): import("react/jsx-runtime").JSX.Element;
        displayName: string;
    };
    TogglerIcon: {
        <T extends ElementType = "span">(props: import('./types.ts').NavbarTogglerProps<T>): import("react/jsx-runtime").JSX.Element;
        displayName: string;
    };
    Collapse: {
        <T extends ElementType = "div">(props: import('./types.ts').NavbarCollapseProps<T>): import("react/jsx-runtime").JSX.Element;
        displayName: string;
    };
    Nav: {
        <T extends ElementType = "div" | "ul">(props: import('./types.ts').NavbarNavProps<T>): import("react/jsx-runtime").JSX.Element;
        displayName: string;
    };
    NavItem: {
        <T extends ElementType = "a" | "li">(props: import('./types.ts').NavbarNavItemProps<T>): import("react/jsx-runtime").JSX.Element;
        displayName: string;
    };
    NavLink: {
        <T extends ElementType = "a" | "button">(props: import('./types.ts').NavbarNavLinkProps<T>): import("react/jsx-runtime").JSX.Element;
        displayName: string;
    };
    Container: {
        <T extends ElementType = "div" | "form">(props: import('./types.ts').NavbarContainerProps<T>): import("react/jsx-runtime").JSX.Element;
        displayName: string;
    };
    displayName: string;
};
export default Navbar;
